---
title: AudioWorkletProcessor.parameterDescriptors (static getter)
slug: Web/API/AudioWorkletProcessor/parameterDescriptors
tags:
  - API
  - AudioWorkletProcessor
  - Experimental
  - Property
  - Reference
  - parameterDescriptors
---
<div>{{APIRef("Web Audio API")}}{{SeeCompatTable}}</div>

<p class="summary">The read-only <strong><code>parameterDescriptors</code></strong> property of an {{domxref("AudioWorkletProcessor")}}-derived class is a <em>static getter</em>, which returns an iterable of {{domxref("AudioParamDescriptor")}}-based objects.</p>

<p class="summary">The property is not a part of the {{domxref("AudioWorkletProcessor")}} interface, but, if defined, it is called internally by the {{domxref("AudioWorkletProcessor")}} constructor to create a list of custom {{domxref("AudioParam")}} objects in the {{domxref("AudioWorkletNode.parameters", "parameters")}} property of the associated {{domxref("AudioWorkletNode")}}.</p>

<p class="summary">Defining the getter is optional.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>AudioWorkletProcessorSubclass</em>.parameterDescriptors;</pre>

<h3 id="Value">Value</h3>

<p>An iterable of {{domxref("AudioParamDescriptor")}}-based objects. The properties of these objects are as follows: {{page("/en-US/docs/Web/API/AudioParamDescriptor", "Properties")}}</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/AudioWorkletNode/parameters", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#parameterdescriptors', 'parameterDescriptors')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioWorkletProcessor.parameterDescriptors")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
